Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454228 - [zhcon] Cannot start input method for x86_64 user
Summary: [zhcon] Cannot start input method for x86_64 user
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: zhcon
Version: 9
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ding-Yi Chen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-07 01:20 UTC by Ding-Yi Chen
Modified: 2008-09-10 07:03 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-10 06:49:11 UTC


Attachments (Terms of Use)

Description Ding-Yi Chen 2008-07-07 01:20:21 UTC
From Bugzilla Helper:
User-Agent: Opera/9.50 (X11; Linux i686; U; en)

Description of problem:
After starting the zhcon, ctrl-space does not show the input method.
Instead, it shows some weird characters.

Version-Release number of selected component (if applicable):
zhcon-0.2.6-8

How reproducible:
Always


Steps to Reproduce:
1. Enter zhcon
2. Press Ctrl-Space 


Actual Results:
Ctrl-Space Does not show input method


Expected Results:
Ctrl-Space should show the input method

Additional info:
Ctrl-Alt-H Does not show help as well

Comment 1 Ding-Yi Chen 2008-07-14 08:05:46 UTC
I observed that it only affect x86_64 users.

Also some interesting facts:
1) root can catch some keybord event such as Ctrl-Shift, while ordinary user 
cannot.
2) the return codes of Ctrl-Space are different between root and ordinary user 
if kbd_mode is -u (Unicode mode).

Regards,


Comment 2 Fedora Update System 2008-07-15 05:57:01 UTC
zhcon-0.2.6-9.fc8 has been submitted as an update for Fedora 8

Comment 3 Fedora Update System 2008-07-15 05:58:01 UTC
zhcon-0.2.6-9.fc9 has been submitted as an update for Fedora 9

Comment 4 Fedora Update System 2008-07-17 14:19:28 UTC
zhcon-0.2.6-9.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update zhcon'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-6455

Comment 5 Fedora Update System 2008-07-28 07:47:00 UTC
zhcon-0.2.6-10.fc8 has been submitted as an update for Fedora 8

Comment 6 Fedora Update System 2008-07-28 07:48:43 UTC
zhcon-0.2.6-10.fc9 has been submitted as an update for Fedora 9

Comment 7 Fedora Update System 2008-09-10 06:49:04 UTC
zhcon-0.2.6-10.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2008-09-10 07:03:40 UTC
zhcon-0.2.6-10.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.